% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per la cella di carico
% LOADdef contiene le medie per l'intervallo definito dei valori di forza
% ARRAYdateLL contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [LoadDef,ARRAYdateLL] = MediaDati_LL(DatiLoad,TimeLL,NdatiMedia,FileName)

text = 'MediaDati_LL function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Cella di carico
[r,~]=size(DatiLoad);
if NdatiMedia > r
    NdatiMedia = r;
end
LoadDef = smoothdata(DatiLoad,'gaussian',NdatiMedia);

ARRAYdateLL = TimeLL;

text = 'Average mean of Load Link data executed correctly. MediaDati_LL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end